import { Pagination, Empty } from 'antd';
import { Course } from '../mockData';
import CourseCard from './CourseCard';
import {CourseDto} from '@nice/common'
interface CourseListProps {
  courses: CourseDto[];
  total: number;
  pageSize: number;
  currentPage: number;
  onPageChange: (page: number) => void;
}

export default function CourseList({
  courses,
  total,
  pageSize,
  currentPage,
  onPageChange,
}: CourseListProps) {
  return (
    <div className="space-y-6">
      {courses.length > 0 ? (
        <>
          <div className="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-6">
            {courses.map(course => (
              <CourseCard key={course.id} course={course} />
            ))}
          </div>
          <div className="flex justify-center mt-8">
            <Pagination
              current={currentPage}
              total={total}
              pageSize={pageSize}
              onChange={onPageChange}
              showSizeChanger={false}
            />
          </div>
        </>
      ) : (
        <Empty description="暂无相关课程" />
      )}
    </div>
  );
}